# Interface EnsSettings

This type indicates settings to be used for ENS resolution.

#### Category

Inputs

#### Hierarchy

- EnsSettings

- Defined in encoder/lib/types.ts:124

#####
Index

### Properties

provider?
registryAddress?

## Properties

### `Optional` provider

provider?: Provider

The provider to use for ENS resolution; set this to `null` to disable ENS resolution. If absent, will default to the encoders's usual provider, if there is one, or to `null`, if not.

- Defined in encoder/lib/types.ts:130

### `Optional` registryAddress

registryAddress?: string

The ENS registry address to use; if absent, will use the default one for the current network. If there is no default registry for the current network, ENS resolution will be disabled.

- Defined in encoder/lib/types.ts:136

Generated using TypeDoc